import { type IOType } from '@jvalue/jayvee-language-server';
import { type ExecutionContext } from '../execution-context';
import { type IOTypeImplementation } from '../types/io-types/io-type-implementation';
import * as R from './execution-result';
export interface BlockExecutor<I extends IOType = IOType, O extends IOType = IOType> {
    readonly inputType: I;
    readonly outputType: O;
    execute(input: IOTypeImplementation<I>, context: ExecutionContext): Promise<R.Result<IOTypeImplementation<O> | null>>;
}
export declare abstract class AbstractBlockExecutor<I extends IOType, O extends IOType> implements BlockExecutor<I, O> {
    readonly inputType: I;
    readonly outputType: O;
    constructor(inputType: I, outputType: O);
    execute(input: IOTypeImplementation<I>, context: ExecutionContext): Promise<R.Result<IOTypeImplementation<O> | null>>;
    private logBlockResult;
    abstract doExecute(input: IOTypeImplementation<I>, context: ExecutionContext): Promise<R.Result<IOTypeImplementation<O> | null>>;
}
