import { type ConstraintDefinition, Registry } from '@jvalue/jayvee-language-server';
import { type ConstraintExecutor } from './constraint-executor';
import { type TypedConstraintExecutorClass } from './typed-constraint-executor-class';
export interface JayveeConstraintExtension {
    registerConstraintExecutor(executorClass: TypedConstraintExecutorClass): void;
    getConstraintExecutors(): TypedConstraintExecutorClass<ConstraintExecutor>[];
    createConstraintExecutor(constraint: ConstraintDefinition): ConstraintExecutor;
}
export declare class DefaultConstraintExtension extends Registry<TypedConstraintExecutorClass> implements JayveeConstraintExtension {
    constructor();
    registerConstraintExecutor(executorClass: TypedConstraintExecutorClass): void;
    getConstraintExecutors(): TypedConstraintExecutorClass<ConstraintExecutor>[];
    createConstraintExecutor(constraint: ConstraintDefinition): ConstraintExecutor;
}
