import { CellIndex, type CellRangeLiteral, type CellRangeWrapper, type ColumnWrapper, IOType, type RowWrapper } from '@jvalue/jayvee-language-server';
import { type IOTypeImplementation, type IoTypeVisitor } from './io-type-implementation';
export declare class Sheet implements IOTypeImplementation<IOType.SHEET> {
    private data;
    readonly ioType = IOType.SHEET;
    private numberOfRows;
    private numberOfColumns;
    constructor(data: string[][]);
    getData(): readonly (readonly string[])[];
    getNumberOfRows(): number;
    getNumberOfColumns(): number;
    getHeaderRow(): string[];
    iterateRows(callbackFn: (row: string[], rowIndex: number) => void): void;
    clone(): Sheet;
    deleteRow(row: RowWrapper): void;
    deleteColumn(column: ColumnWrapper): void;
    writeCell(absoluteCell: CellIndex, content: string): void;
    selectRange(range: CellRangeWrapper): void;
    isInBounds(range: CellRangeWrapper): boolean;
    resolveRelativeIndexes<N extends CellRangeLiteral>(range: CellRangeWrapper<N>): CellRangeWrapper<N>;
    enumerateCellIndexes(range: CellRangeWrapper): CellIndex[];
    private getBounds;
    acceptVisitor<R>(visitor: IoTypeVisitor<R>): R;
}
