import * as R from '@jvalue/jayvee-execution';
import { AbstractBlockExecutor, type ExecutionContext, type Sheet, Table } from '@jvalue/jayvee-execution';
import { IOType, type ValueType, type ValuetypeAssignment } from '@jvalue/jayvee-language-server';
export interface ColumnDefinitionEntry {
    sheetColumnIndex: number;
    columnName: string;
    valueType: ValueType;
    astNode: ValuetypeAssignment;
}
export declare class TableInterpreterExecutor extends AbstractBlockExecutor<IOType.SHEET, IOType.TABLE> {
    static readonly type = "TableInterpreter";
    constructor();
    doExecute(inputSheet: Sheet, context: ExecutionContext): Promise<R.Result<Table>>;
    private constructAndValidateTable;
    private constructAndValidateTableRow;
    private parseAndValidateValue;
    private deriveColumnDefinitionEntriesWithoutHeader;
    private deriveColumnDefinitionEntriesFromHeader;
}
