import { type ValueTypeProvider } from '../../wrappers';
import { DefaultUnaryOperatorEvaluator } from '../operator-evaluator';
export declare class AsTextOperatorEvaluator extends DefaultUnaryOperatorEvaluator<string, string> {
    private readonly valueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doEvaluate(operandValue: string): string;
}
export declare class AsDecimalOperatorEvaluator extends DefaultUnaryOperatorEvaluator<string, number> {
    private readonly valueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doEvaluate(operandValue: string): number;
}
export declare class AsIntegerOperatorEvaluator extends DefaultUnaryOperatorEvaluator<string, number> {
    private readonly valueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doEvaluate(operandValue: string): number;
}
export declare class AsBooleanOperatorEvaluator extends DefaultUnaryOperatorEvaluator<string, boolean> {
    private readonly valueTypeProvider;
    constructor(valueTypeProvider: ValueTypeProvider);
    doEvaluate(operandValue: string): boolean;
}
