import { type Reference } from 'langium';
import { type OperatorEvaluatorRegistry } from '../../expressions';
import { type ReferenceableBlockTypeDefinition } from '../../generated/ast';
import { IOType } from '../../io-type';
import { type ValueTypeProvider } from '../value-type';
import { type WrapperFactoryProvider } from '../wrapper-factory-provider';
import { type ExampleDoc, TypedObjectWrapper } from './typed-object-wrapper';
interface BlockDocs {
    description?: string;
    examples?: ExampleDoc[];
}
export declare class BlockTypeWrapper extends TypedObjectWrapper<ReferenceableBlockTypeDefinition> {
    docs: BlockDocs;
    readonly inputType: IOType;
    readonly outputType: IOType;
    /**
     * Creates a BlockTypeWrapper if possible. Otherwise, throws error.
     * Use {@link canBeWrapped} to check whether wrapping will be successful.
     *
     * Use {@link WrapperFactoryProvider} for instantiation instead of calling this constructor directly.
     */
    constructor(toBeWrapped: ReferenceableBlockTypeDefinition | Reference<ReferenceableBlockTypeDefinition>, operatorEvaluatorRegistry: OperatorEvaluatorRegistry, valueTypeProvider: ValueTypeProvider, wrapperFactories: WrapperFactoryProvider);
    static canBeWrapped(toBeWrapped: ReferenceableBlockTypeDefinition | Reference<ReferenceableBlockTypeDefinition>): boolean;
    canBeConnectedTo(blockAfter: BlockTypeWrapper): boolean;
    hasInput(): boolean;
    hasOutput(): boolean;
}
export {};
