import { type OperatorEvaluatorRegistry } from '../../expressions/operator-registry';
import { type CompositeBlockTypeDefinition } from '../../generated/ast';
import { type ValueTypeProvider } from '../value-type';
import { type WrapperFactoryProvider } from '../wrapper-factory-provider';
import { BlockTypeWrapper } from './block-type-wrapper';
export declare class CompositeBlockTypeWrapper extends BlockTypeWrapper {
    private blockTypeDefinition;
    /**
     * Creates a CompositeBlockTypeWrapper if possible. Otherwise, throws error.
     * Use {@link canBeWrapped} to check whether wrapping will be successful.
     *
     * Use {@link WrapperFactoryProvider} for instantiation instead of calling this constructor directly.
     */
    constructor(blockTypeDefinition: CompositeBlockTypeDefinition, operatorEvaluatorRegistry: OperatorEvaluatorRegistry, valueTypeProvider: ValueTypeProvider, wrapperFactories: WrapperFactoryProvider);
    getMissingRequiredPropertyNames(presentPropertyNames?: string[]): string[];
}
