import { type AtomicInternalValueRepresentation, type InternalValueRepresentation } from '../../../../expressions/internal-value-representation';
import { type ValueType, type ValueTypeVisitor } from '../../value-type';
import { AbstractCollectionValueType, type ToArray } from './abstract-collection-value-type';
export declare class CollectionValueType<I extends InternalValueRepresentation = InternalValueRepresentation> extends AbstractCollectionValueType<I> {
    readonly elementType: ValueType<I>;
    constructor(elementType: ValueType<I>);
    acceptVisitor<R>(visitor: ValueTypeVisitor<R>): R;
    getName(): string;
    equals(target: ValueType): boolean;
    isInternalValueRepresentation(operandValue: InternalValueRepresentation | undefined): operandValue is ToArray<I>;
}
export declare function isCollectionValueType<I extends AtomicInternalValueRepresentation>(v: unknown, elementType: ValueType<I>): v is CollectionValueType<I>;
