import { type InternalValueRepresentation } from '../../../expressions/internal-value-representation';
import { AbstractValueType } from '../abstract-value-type';
import { type ValueType } from '../value-type';
export declare abstract class PrimitiveValueType<I extends InternalValueRepresentation = InternalValueRepresentation> extends AbstractValueType<I> {
    constructor();
    isConvertibleTo(target: ValueType): boolean;
    equals(target: ValueType): boolean;
    protected doGetSupertype(): undefined;
    /**
     * The user documentation for the value type.
     * Text only, no comment characters.
     * Should be given for all user-referenceable value types {@link isReferenceableByUser}
     */
    getUserDoc(): string | undefined;
    fromString(_s: string): I | undefined;
}
export declare function isPrimitiveValueType(v: unknown): v is PrimitiveValueType;
