import { type InternalValueRepresentation } from '../ast/expressions/internal-value-representation';
import { type ValueType } from '../ast/wrappers/value-type/value-type';
export type InternalValueRepresentationParser = <I extends InternalValueRepresentation>(value: string, valueType: ValueType<I>) => I | undefined;
export declare class RuntimeParameterProvider {
    private runtimeParameters;
    private valueParser;
    setValueParser(valueParser: InternalValueRepresentationParser): void;
    getParsedValue<I extends InternalValueRepresentation>(key: string, valueType: ValueType<I>): I | undefined;
    getRawValue(key: string): string | undefined;
    setValue(key: string, value: string): void;
    hasValue(key: string): boolean;
    getReadonlyMap(): ReadonlyMap<string, InternalValueRepresentation>;
}
